Author Topic: EA v15.2 can not connect to DOORS v9.7 ?  (Read 3448 times)

Qwe_EA

  • EA Novice
  • *
  • Posts: 8
  • Karma: +0/-0
    • View Profile
EA v15.2 can not connect to DOORS v9.7 ?
« on: August 23, 2021, 02:52:09 pm »
Hi,

I want to import/export requirements from/to DOORS. When I click on the ADD module in module manager, next window which is "Add/Edit Module" opens. Everything is OK but when choose "Select Module", window with title "MDG link for DOORS" opens and close immediately. It disappears  after opening and EA can not connect to DOORS.
Anybody knows where is problem or what is solution?
Thanks.

P.S. "DOORS" version is 9.7 and EA version is 15.2 and "MDG for DOORS (v3)" is installed.

Qwe_EA

  • EA Novice
  • *
  • Posts: 8
  • Karma: +0/-0
    • View Profile
Re: EA v15.2 can not connect to DOORS v9.7 ?
« Reply #1 on: September 06, 2021, 02:15:24 pm »
I install rational rhapsody and it connects to DOORS v9.7.
In EA, it seems that MDG link v3.0 does not work!
Where I can download previous versions of the MDG DOORS (e.g. 2.0) or any version that support DOORS 8.4?

Here the window that I select modules in EA :


after that below windows appears on the screen, when DOORS 9.7 login window (or other windows of DOORS)
comes, the EA MDG start windows closes and does not work.


Thanks.

Aaron B

  • EA Administrator
  • EA User
  • *****
  • Posts: 941
  • Karma: +18/-0
    • View Profile
Re: EA v15.2 can not connect to DOORS v9.7 ?
« Reply #2 on: September 07, 2021, 04:13:59 pm »
Hello,

The current release of MDG Link for DOORS v3.0 requires DOORS 9.6 or higher and won't work with DOORS 8.4. If you need to try connecting with DOORS 8.4, the older version of MDG DOORS 2.2 can also be downloaded here:
https://sparxsystems.com/bin/EADOORS_2.2.exe

Your problem when trying to connect MDG DOORS 3.0 to DOORS 9.7 however does seem strange. If you are still having this issue, please send an email to our support team at support@sparxsystems.com for further assistance.

Qwe_EA

  • EA Novice
  • *
  • Posts: 8
  • Karma: +0/-0
    • View Profile
Re: EA v15.2 can not connect to DOORS v9.7 ?
« Reply #3 on: September 07, 2021, 08:01:52 pm »
Thanks for your reply.

I download "MDG DOORS 3.0" from below link:
"https://sparxsystems.com/products/mdg/link/doors/index.html"
and file size is 0.6MB and that file you puts its link is 6MB (10 times greater). Is the download file for v3.00 is true? or should I download from other place?

P.S. The downloaded file for MDG DOORS v2.2 works fine with DOORS v8.3.

Qwe_EA

  • EA Novice
  • *
  • Posts: 8
  • Karma: +0/-0
    • View Profile
Re: EA v15.2 can not connect to DOORS v9.7 ?
« Reply #4 on: September 25, 2021, 09:00:30 pm »
@Aaron B:
When trying to connect MDG 3.01 to DOORS 8.3, it connects but show some error because it does not support discussion and other commands.
But when trying to connect to DOORS 9.7, it never show any window !

Also for using MDG 3.01, only file with 0.6MB is enough?

Aaron B

  • EA Administrator
  • EA User
  • *****
  • Posts: 941
  • Karma: +18/-0
    • View Profile
Re: EA v15.2 can not connect to DOORS v9.7 ?
« Reply #5 on: September 27, 2021, 04:05:29 pm »
Yes, the installer size is correct (592KB).

MDG DOORS v3 requires DOORS 9.6.1 or higher. It's not supported for connection to DOORS 8.3.

Do you have more than one version of DOORS installed on your system? This has been known to cause issues.

If needing further assistance, can you please send an email to support@sparxsystems.com with the steps you are following with MDG DOORS v3 and DOORS 9.7? Include details such as your EA version, MDG version, DOORS version(s), Operating System etc. Also include screenshots where possible.